#	Perl files are only documentation examples.

%define __perl_provides		%{nil}
%define __perl_requires		%{nil}


Name:		robodoc
Version:	4.99.36
Release:	4%{?dist}
Summary:	Extract documentation from source code
License:	GPLv3+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/robodoc/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root


%description
  ROBODoc is a documentation tool (based on the AutoDocs program written
a long time ago by Commodore). It extracts specially formated comment
headers from the source file and puts them in a separate file. ROBODoc
thus allows you to include the program documentation in the source
code and avoid having to maintain two separate documents.

  ROBODoc can format the documentation in HTML, ASCII, AmigaGuide,
LaTeX, or RTF format. It is even possible to include parts of the
source code with function names that point their the documentation. It
also can create index tables for all your variables, classes,
functions, etc.

  The best feature of ROBODoc is that it works with many languages:
Assembler, C, Perl, LISP, Occam, Tcl/Tk, Pascal, Fortran, shell
scripts, and COBOL, basically any language that supports
comments/remarks.


#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------

%setup -q


#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------

%configure docdir="%{_docdir}/robodoc"
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags}

#	Changelog is ISO8859. Convert it to UTF-8.

iconv -f ISO8859-1 -t UTF-8 -o ChangeLog.utf8 ChangeLog
touch -r ChangeLog ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog


#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------

rm -rf "${RPM_BUILD_ROOT}"

make DESTDIR="${RPM_BUILD_ROOT}" INSTALL="install -p" install

#	Get rid of the installed documentation

rm -rf "${RPM_BUILD_ROOT}%{_docdir}/robodoc"


#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------

rm -rf "${RPM_BUILD_ROOT}"


#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------

%defattr(-, root, root, -)
%doc AUTHORS Change* COPYING NEWS README TODO Docs/manual.css Docs/manual.html
%doc Examples
%{_bindir}/*
%{_mandir}/man1/*


#-------------------------------------------------------------------------------
%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.99.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

#-------------------------------------------------------------------------------

* Tue Dec  2 2008 Patrick Monnerat <pm@datasphere.ch> 4.99.36-2
- Preserve ChangeLog timestamp.

* Wed Oct 22 2008 Patrick Monnerat <pm@datasphere.ch> 4.99.36-1
- New package.
